%define ver       0.9-beta1.1
%define rel       1
%define prefix    /usr
%define buildroot /var/tmp

Summary: Sound player with the WinAmp GUI, for Unix-based systems
# just until it's released, so they're not mixed
Name: x11amp
Version: %ver
Release: %rel
Copyright: GPL
Group: X11/Amusements
Vendor: X11Amp Team
Packager: Lyle Kempler <kempler@utdallas.edu>
Url: http://www.x11amp.bz.nu/
Source: http://www.x11amp.bz.nu/x11amp-%{ver}.tar.gz
BuildRoot: %{buildroot}/x11amp-root
Requires: glib >= 1.2.0
Requires: gtk+ >= 1.2.0

%description
X11Amp is a sound player written from scratch. Since it uses the WinAmp
GUI, it can use WinAmp skins, and play mp3s, mods, s3ms, and other 
formats. It now has support for input, output, and general plugins, and
has also been GPL'd.

%prep
%setup -n x11amp-%{ver}

%build
rm -rf $RPM_BUILD_ROOT
if [ -f "./configure" ]
then
  ./configure --prefix=%prefix
else
  ./autogen.sh --prefix=%prefix
fi

make

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%install
make prefix=${RPM_BUILD_ROOT}%prefix install

%changelog
* Fri Apr 09 1999 Lyle Kempler <kempler@utdallas.edu>
- initial version

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README

%{prefix}/bin/*
%{prefix}/lib/*
%{prefix}/include/*
